;+
;PROCEDURE:	convert_cef_sweapad
;PURPOSE:
;
;  Converts STEREO/SWEA CEF PAD to CDF format
;
;INPUT:		filename: full filename with path to CEF file
;
;-
pro convert_cef_sweapad,filename

result=cef_read(filename)

if n_elements(result) eq 1 then return

dat0={time:0.d,phase_space_dens:fltarr(16,12) $
  ,energy:fltarr(16),pangle:fltarr(12),quality_index_0:1. $
  ,quality_index_1:1. $
  }

d = replicate(dat0,n_elements((*result(0)).DATA))

pangles=[7.5, 22.5, 37.5, 52.5, 67.5, 82.5, 97.5, 112.5, 127.5, 142.5, $
   157.5, 172.5]

for i = 0, n_elements((*result(0)).DATA)-1 do begin
  tstr = strmid((*result(0)).DATA[0,i],0,10) + '/' + $
     strmid((*result(0)).DATA[0,i],11,12)
  d[i].time = time_double(tstr)
  d[i].phase_space_dens = (*result(7)).DATA[*,*,i]
  w = where(d[i].phase_space_dens eq -1e31)
  d[i].phase_space_dens[w] = !values.f_nan
  d[i].energy = (*result(4)).DATA[*,i]
  d[i].pangle = pangles
  d[i].quality_index_0 = (*result(1)).DATA[0,i]
  d[i].quality_index_1 = (*result(2)).DATA[0,i]
endfor

;if not keyword_set(date) then date=d(0).time +3600. 
;t = time_double(date)
;t = t - t mod 86400.d
;dates = strmid(time_string(t,f=2),0,8)
outfilename = file_basename(filename,'.cef.gz')
;w = where(d.time ge t and d.time lt (t+86400.),c)
;if c ne 0 then begin
;  d = d(w)
makecdf,d,file=outfilename[0],/overwrite
print,'file ',outfilename,'.cdf created'
; endif else print,'No data to produce file: ',outfilename+'.cdf' 

return

end
