pro mk_stb_sweasp_cdf,date,opts=opts


version = '_v01'
fileformat = 'STB_L1_SWEASP_'

dat0={time:0.d,flux:fltarr(16) ,energy:fltarr(16)}

times=get_stb_swea3d(/time)

max = n_elements(times)

d = replicate(dat0,max)

for i=0,max-1 do begin
   dat = get_stb_swea3d(index=i)
   if dat.valid then begin
     dat = conv_units(dat,'flux')
     d(i).time = (dat.time + dat.end_time)/2
     d(i).flux = average(dat.data,2)
     d(i).energy = average(dat.energy,2)
   endif else d(i).flux=!values.f_nan
endfor


if not keyword_set(date) then date=d(0).time +3600. 
t = time_double(date)
t = t - t mod 86400.d
dates = strmid(time_string(t,f=2),0,8)
filename = fileformat+dates+version
w = where(d.time ge t and d.time lt (t+86400.),c)
if c ne 0 then begin
  d = d(w)
  makecdf,d,file=filename,/overwrite
  print,'file ',filename,'.cdf created'
endif else print,'No data to produce file: ',filename+'.cdf' 

end
