pro stb_summ_plot_spec, filename, magavg, title=title

if n_elements(magavg) ne 1 then magavg = 60.

get_timespan,tspan

load_stb_l1_mag,/polar,res=magavg,/rtn
;load_stb_l1_let
if magavg gt 60. then load_stb_l1_sweadist,/onlyspec, res=magavg else $
   load_stb_l1_sweadist,/onlyspec
if magavg gt 60. then load_stb_l1_ste, res=magavg else $
   load_stb_l1_ste
   
get_data,'stb_B_RTN',data=d
store_data,'B_R',data={x: d.x, y: reform(d.y[*,0])}
store_data,'B_T',data={x: d.x, y: reform(d.y[*,1])}
store_data,'B_N',data={x: d.x, y: reform(d.y[*,2])}

;filename = 'stb_cr'+cr+'_spec_v2'

options,'stb_B_RTN_mag','panel_size',0.5
options,'B_R','panel_size',0.5
options,'B_T','panel_size',0.5
options,'B_N','panel_size',0.5

;ylim,'stb_let_H_UNSEC_FLUX',1.,1e2
ylim,'stb_ste_D0',1.,1e2
ylim,'B_R',-10.,10.
ylim,'B_T',-10.,10.
ylim,'B_N',-10.,10.
ylim,'stb_B_RTN_mag',0.,20.
;zlim,'sta_let_H_UNSEC_FLUX',2.82e-3,1e4

;options,'stb_let_H_UNSEC_FLUX','spec',0
;options,'stb_let_H_UNSEC_FLUX','ytitle','LET H+ Flux'
;get_data,'stb_let_H_UNSEC_FLUX',ptr=plet
;options,'stb_let_H_UNSEC_FLUX','labels',string(*plet.v,format='(f4.1)')+'MeV'
;options,'stb_let_H_UNSEC_FLUX','ztitle','H+ Flux'
;options,'sta_let_H_UNSEC_FLUX','zlog',1
;options,'sta_let_H_UNSEC_FLUX','labflag',-1
;letbins = replicate(1b,12)
;letbins[11] = 0b
;options,'stb_let_H_UNSEC_FLUX','bins',letbins
;options,'sta_let_H_UNSEC_FLUX','ystyle',1

;options,'stb_ste_D0','spec',0
options,'stb_ste_D0','ytitle','STE D0 (keV)'
;get_data,'stb_ste_D0',ptr=pste
;options,'stb_ste_D0','labels',reform(string((*pste.v)[0,*],format='(f5.1)')+'keV')
options,'stb_ste_D0','ztitle','e- Cnts'
options,'stb_ste_D0','zlog',1
options,'stb_ste_D0','labflag',-1
;options,'stb_ste_D0','labsize',1.
;stebins = bytarr(32)
;for i = 0,10 do stebins[3*i] = 1b
;options,'stb_ste_D0','bins',stebins
options,'stb_ste_D0','ystyle',1

options,'B_R','ytitle','B!DR!N (nT)'
options,'B_T','ytitle','B!DT!N (nT)'
options,'B_N','ytitle','B!DN!N (nT)'
options,'stb_B_RTN_mag','ytitle','|B| (nT)'

;options,'sta_B_RTN','labflag',-1

;get_data,'sta_swea_dist.DISTRIBUTION',ptr=pdist
;distsp = total(*pdist.y,3)

;get_data,'sta_swea_dist.ENERGY',ptr=penergy
;energy = reform((*penergy.y)[0,*])

;get_spec,'stb_swea3d',units='flux',name='sweaspec'

;store_data,'sta_swea_ensp',data={x: (*pdist.x), y: distsp, v:energy}
ylim,'sweaspec',1.,2e3,1
;options,'sta_swea_ensp','labels',string(energy,format='(f6.1)')+'eV'
options,'sweaspec','ytitle','SWEA (eV)'
options,'sweaspec','ztitle','e- Flux'
;options,'sta_swea_ensp','labflag',-1
;options,'sta_swea_ensp','labsize',1.
;sweabins = bytarr(16)
;for i=0,7 do sweabins[i*2] = 1b
;options,'sta_swea_ensp','bins',sweabins
options,'sweaspec','spec',1
options,'sweaspec','zlog',1
;zlim,'sweaspec',1e4,2e11

if not keyword_set(title) then $
   tplot_options,'title','STEREO-B IMPACT Summary Plot' else $
   tplot_options,'title',title

set_plot,'z'
device,set_res=[780,780]
loadct2,34
!p.background = 255
!p.color = 0

tplot,['stb_ste_D0','sweaspec','B_R','B_T','B_N','stb_B_RTN_mag']

;tevent1 = time_double('2006-12-05/10:18')
;tevent2 = time_double('2006-12-13/02:14')
;tevent3 = time_double('2006-12-06/18:29')

;timebar,tevent1,linestyle=2
;timebar,tevent2,linestyle=2
;timebar,tevent3,linestyle=2

;mevent1 = time_double('2006-12-12/01:48')
;mevent2 = time_double('2006-12-12/22:00')

;timebar,mevent1,linestyle=1
;timebar,mevent2,linestyle=1

makegif,filename
device,/close

return
end


