pro stb_summ_plot_sep, filename, res, title = title

if n_elements(res) ne 1 then magavg = 60. else magavg = res

get_timespan,tspan

;if res gt 60 then load_sta_l1_sweadist,/onlyspec,res=res else $
;   load_sta_l1_sweadist,/onlyspec
load_stb_l1_sept,res=res
load_stb_l1_sit, res=res
load_stb_l1_let, res=res
load_stb_l2_het
load_stb_l1_mag, res=magavg, /polar, /rtn

get_data,'STB_SEPT_Spec_E_sun',data=septsunels
septels = total(septsunels.y[*,1:4],2)
store_data,'SEPT_E_40_70',data={x: septsunels.x, y: septels}
options,'SEPT_E_40_70','labels','40-70 keV (SEPT)'
options,'SEPT_E_40_70','labsize',0.66
options,'SEPT_E_40_70','labpos',1e4

get_data,'stb_l2_het.E_INTENSITY',data=hetbinels
hetels = total(hetbinels.y,2)
store_data,'HET_E_07_40',data={x: hetbinels.x, y:hetels}
options,'HET_E_07_40','labels','0.7-4 MeV (HET)'
options,'HET_E_07_40','colors',1
options,'HET_E_07_40','labsize',0.66
options,'HET_E_07_40','labpos',1e0

store_data,'Electrons',data=['SEPT_E_40_70','HET_E_07_40']
ylim,'Electrons',1e-3,1e7,1
options,'Electrons','ytitle','Electron Flux'

get_data,'STB_SEPT_Spec_I_sun',data=septsunprs
septprs1 = total(septsunprs.y[*,7:19],2)
store_data,'SEPT_I_15_66',data={x: septsunprs.x, y: septprs1}
options,'SEPT_I_15_66','labels','0.15-0.6 MeV (SEPT)'
options,'SEPT_I_15_66','labpos',1e4
options,'SEPT_I_15_66','labsize',0.6

septprs2 = total(septsunprs.y[*,20:30],2)
store_data,'SEPT_I_66_210',data={x: septsunprs.x, y: septprs2}
options,'SEPT_I_66_210','labels','0.7-2.1 MeV (SEPT)'
options,'SEPT_I_66_210','colors',1
options,'SEPT_I_66_210','labpos',1e2
options,'SEPT_I_66_210','labsize',0.6

get_data,'stb_let',data=letdata
;get_data,'sta_let.H_SUMMED_FLUX',data=letbinprs
letprs = total(letdata.h_summed_flux[*,0:2],2)
store_data,'LET_H',data={x: letdata.time, y: letprs}
options,'LET_H','labels','1.8-10 MeV (LET)'
options,'LET_H','colors',2
options,'LET_H','labpos',1
options,'LET_H','labsize',0.6

get_data,'stb_l2_het.H_INTENSITY',data=hetbinprs
hetprs = total(hetbinprs.y,2)
store_data,'HET_H',data={x: hetbinprs.x, y:hetprs}
options,'HET_H','labels','14-100 MeV (HET)'
options,'HET_H','colors',3
options,'HET_H','labpos',1e-2
options,'HET_H','labsize',0.6

store_data,'Protons',data=['SEPT_I_15_66','SEPT_I_66_210','LET_H','HET_H']
ylim,'Protons',1e-5,1e6,1
options,'Protons','ytitle','Proton Flux'
;options,'Protons','labflag',1
;options,'Protons','labels',['0.15-0.6 Mev','0.7-2.1 MeV','1.8-10 MeV','14-100 MeV']

get_data,'stb_sit',data=sitdata
sithe = total(sitdata.he4_intensity[*,4:10],2)
store_data,'SIT_He',data={x:sitdata.time, y:sithe}
options,'SIT_He','labels','He'
options,'SIT_He','labpos',1e3
options,'SIT_He','psym',4
options,'SIT_He','symsize',0.75

sitc = total(sitdata.c_intensity[*,5:11],2)
store_data,'SIT_C',data={x:sitdata.time, y:sitc}
options,'SIT_C','labels','C'
options,'SIT_C','labpos',1e1
options,'SIT_C','psym',5
options,'SIT_C','symsize',0.75
options,'SIT_C','colors',1

sitfe = total(sitdata.fe_intensity[*,5:11],2)
store_data,'SIT_Fe',data={x:sitdata.time, y:sitfe}
options,'SIT_Fe','labels','Fe'
options,'SIT_Fe','labpos',1e-1
options,'SIT_Fe','psym',6
options,'SIT_Fe','symsize',0.75
options,'SIT_Fe','colors',2

store_data,'SIT',data=['SIT_He','SIT_C','SIT_Fe']
options,'SIT','ytitle','SIT (0.11 - 1.28 MeV)'
ylim,'SIT',1e-3,1e4,1
options,'SIT','charsize',0.75

lethe = total(letdata.he4_summed_flux[*,1:3],2)
store_data,'LET_He',data={x: letdata.time, y: lethe}
options,'LET_He','labels','He'
options,'LET_He','labpos',1e1
options,'LET_He','psym',4
options,'LET_He','symsize',0.75

letc = total(letdata.c_summed_flux[*,0:2],2)
store_data,'LET_C',data={x: letdata.time, y: letc}
options,'LET_C','labels','C'
options,'LET_C','labpos',1e-1
options,'LET_C','psym',5
options,'LET_C','symsize',0.75
options,'LET_C','colors',1

letfe = total(letdata.fe_summed_flux[*,0:2],2)
store_data,'LET_Fe',data={x: letdata.time, y: letfe}
options,'LET_Fe','labels','Fe'
options,'LET_Fe','labpos',1e-3
options,'LET_Fe','psym',6
options,'LET_Fe','symsize',0.75
options,'LET_Fe','colors',2

store_data,'LET',data=['LET_He','LET_C','LET_Fe']
options,'LET','ytitle','LET (4 - 12 Mev/n)'
ylim,'LET',1e-5,1e3,1
options,'LET','charsize',0.75

options,'stb_B_RTN_mag','panel_size',0.5
options,'stb_B_RTN','panel_size',0.5
ylim,'stb_B_RTN',-10.,10.
ylim,'stb_B_RTN_mag',0.,20.
options,'stb_B_RTN','labflag',1
options,'stb_B_RTN','charsize',0.75

if not keyword_set(title) then $
   tplot_options,'title','STEREO-B IMPACT SEP Plot' else $
   tplot_options,'title',title

set_plot,'z'
device,set_res=[780,780]
loadct2,34
!p.background = 255
!p.color = 0

tplot,['Electrons','Protons','SIT','LET','stb_B_RTN_mag','stb_B_RTN']

;tevent1 = time_double('2006-12-05/10:18')
;tevent2 = time_double('2006-12-13/02:14')
;tevent3 = time_double('2006-12-06/18:29')

;timebar,tevent1,linestyle=2
;timebar,tevent2,linestyle=2
;timebar,tevent3,linestyle=2

;mevent1 = time_double('2006-12-12/01:48')
;mevent2 = time_double('2006-12-12/22:00')

;timebar,mevent1,linestyle=1
;timebar,mevent2,linestyle=1

makegif,filename
device,/close

return
end


