PRO SWEA_L1_COMMON
;+
; Project     :	STEREO - IMPACT, SWEA
;
; Name        : SWEASTE_L1_COMMON
;
; Purpose     :	setup SWEA Level 1 common block
;               (global constants and variables for SWEA Level 1 processing)
;
; Category    :	STEREO, IMPACT, SWEA
;
; Explanation :	
;
; Syntax      :	SWEA_L1_COMMON
;
; Examples    :	
;
; Inputs      :	
;
; Opt. Inputs :	None.
;
; Outputs     :	
;
; Opt. Outputs:	None.
;
; Keywords    :	None
;
; Calls       : 
;
; Common      : swea_l1_common
;
; Restrictions:	
;
; Side effects:	None.
;
; Prev. Hist. :	None.
;
; History     :	Version 1 (preliminary), 03-Feb-2006, Peter Schroeder,
;                  UC-Berkeley.
;
; Contact     :	peters@ssl.berkeley.edu
;-
;

common swea_l1_common, swea_energies, SWEA_DIST_ENERGIES, $
   SWEA_PAD_ENERGIES, SWEAV0_A1, SWEAV0_A0, SWEAMOMCOEFFS, $
   SWEATACC, SWEAH, SWEAK, SWEAPADE0, SWEAPADE1, SWEAE0, SWEAE1, $
   SWEA_DIST_ENERGY, SWEA_DENERGIES, SWEA_DIST_DENERGY

SWEA_DIST_ENERGIES = [0,0,0,1,1,1,2,2,2,3,3,3,4,4,4,5,5,5,6,6,6,7,7,7,8,8,8,$
   9,9,9,10,10,10,11,11,11,12,12,12,13,13,13,14,14,14,15,15,15]
SWEA_PAD_ENERGIES = [-1,-1,-1,-1,-1,-1,0,0,0,0,0,0,1,1,1,1,1,1,2,2,2,2,2,2,$
   3,3,3,3,3,3,4,4,4,4,4,4,5,5,5,5,5,5,6,6,6,6,6,6]
SWEAV0_A1 = 0.01243d
SWEAV0_A0 = -24.91d
SWEAMOMCOEFFS = [22d, 10d, 4d, 19d]
SWEATACC = 5.8d-3
SWEAH = 1.746d-7
SWEAK = 6.67d
SWEAPADE0 = [6,7,8,9,10,11]
SWEAPADE1 = [24,25,26,27,28,29]


end
