
;+
;PROCEDURE:	load_sta_l1_sweamom
;PURPOSE:	
;   loads STEREO/IMPACT SWEA moments high resolution data for "tplot".
;
;INPUTS:	none, but will call "timespan" if time
;		range is not already set.
;KEYWORDS:
;  TIME_RANGE:  2 element vector specifying the time range
;  DATA:        Data returned in this named variable.
;  NODATA:	Returns 0 if data exists for time range, otherwise returns 1.
;  PREFIX:	(string) prefix for tplot variables.  Default is 'sta_'
;  NAME:	(string) name for tplot variables. Default is 'sta_let'
;  MASTERFILE:	(string) full filename of master file.
;SEE ALSO: 
;  "make_cdf_index","loadcdf","loadcdfstr","loadallcdf"
;
;CREATED BY:	Peter Schroeder
;LAST MODIFIED:	11/27/06
;-


pro load_sta_l1_sweamom,time_range=trange,data=d,  $
  nodata=nodat, $
  prefix = prefix, $
  name = bname, $
  masterfile=masterfile, novardata=nvd
  
if not keyword_set(masterfile) then masterfile = 'STA_L1U'
;cdfnames = ['B_HGRTN']
ppx = 'B'
myformat = getenv('STA_L1U')+'/STA_L1_SWEA_MOM_*.cdf'

d=0
nodat = 0

loadallcdf,myformat,time_range=trange, novarnames=novarnames, $
    cdfnames=cdfnames,data=d,res =res, tplot_name='sta_swea_mom'

if keyword_set(d) eq 0 then begin
   message,'No STA SWEA moments data during this time.',/info
   nodat = 1
  return
endif

end

