
;+
;PROCEDURE:	load_stb_l1_sweadist
;PURPOSE:	
;   loads STEREO/IMPACT SWEA 3D high resolution data for "tplot".
;
;INPUTS:	none, but will call "timespan" if time
;		range is not already set.
;KEYWORDS:
;  TIME_RANGE:  2 element vector specifying the time range
;  DATA:        Data returned in this named variable.
;  NODATA:	Returns 0 if data exists for time range, otherwise returns 1.
;  PREFIX:	(string) prefix for tplot variables.  Default is 'stb_'
;  NAME:	(string) name for tplot variables. Default is 'stb_sweadist'
;  MASTERFILE:	(string) full filename of master file.
;SEE ALSO: 
;  "make_cdf_index","loadcdf","loadcdfstr","loadallcdf"
;
;CREATED BY:	Peter Schroeder
;LAST MODIFIED:	11/27/06
;-


pro load_stb_l1_sweadist,time_range=trange,data=d,  $
  nodata=nodat, $
  prefix = prefix, $
  name = bname, $
  masterfile=masterfile, novardata=nvd, res=res, onlyspec=onlyspec
  
if not keyword_set(masterfile) then masterfile = 'STB_L1U'
;cdfnames = ['B_HGRTN']
ppx = 'B'
myformat = getenv('STB_L1U')+'/STB_L1_SWEA_DIST_*V02.cdf'
d=0
nodat = 0

;if not keyword_set(onlyspec) then $
;   loadallcdf,myformat,time_range=trange, novarnames=novarnames, $
;    cdfnames=cdfnames,data=d,res =res, tplot_name='sta_swea_dist' $
;else loadallcdf,myformat,time_range=trange, novarnames=novarnames, $
;    cdfnames=cdfnames,data=d,res =res

;str_element,d,'ENERGY',foo,success=engsuc

;if not engsuc then begin
   d = 0
   print,'This is a SWEA V02 file'
   novarznames = 'Energy'
   if not keyword_set(onlyspec) then $
      loadallcdf,myformat,time_range=trange, novarznames=novarznames, $
         cdfnames=cdfnames,data=d,res =res, tplot_name='stb_swea_dist', $
         novardata = novardata $
   else $
   loadallcdf,myformat,time_range=trange, novarznames=novarznames, $
         cdfnames=cdfnames,data=d,res =res, novardata = novardata
   store_data,'sweaspec',data={x: d.time, y: transpose(total(d.distribution,1)), $
      v: novardata.energy}
;endif else begin
;   store_data,'sweaspec',data={x: d.time, y: transpose(total(d.distribution,1)), $
;      v: d.energy[*,0]}
;endelse

if keyword_set(d) eq 0 then begin
   message,'No STB SWEA 3D data during this time.',/info
   nodat = 1
  return
endif


end

