pro sta_summ_plot, filename, res

if n_elements(magavg) ne 1 then res = 60.

get_timespan,tspan

load_sta_l1_sweadist,/onlyspec,res=res
load_sta_l1_ste,res=res
load_sta_l1_mag,/polar,res=res
load_sta_l1_let

ylim,'sta_let_H_UNSEC_FLUX',1.,1e6
ylim,'sta_ste_D0',1.,1e5
ylim,'sta_B',-20.,20.
ylim,'sta_B_mag',0.,20.

options,'sta_let_H_UNSEC_FLUX','spec',0
options,'sta_let_H_UNSEC_FLUX','ytitle','LET H+ Flux'
get_data,'sta_let_H_UNSEC_FLUX',ptr=plet
options,'sta_let_H_UNSEC_FLUX','labels',string(*plet.v,format='(f4.1)')+'MeV'
;options,'stb_let_H_UNSEC_FLUX','ztitle','H+ Flux'
;options,'stb_let_H_UNSEC_FLUX','zlog',1
options,'sta_let_H_UNSEC_FLUX','labflag',-1
letbins = replicate(1b,12)
letbins[11] = 0b
options,'sta_let_H_UNSEC_FLUX','bins',letbins

options,'sta_ste_D0','spec',0
options,'sta_ste_D0','ytitle','STE e- Cnts'
get_data,'sta_ste_D0',ptr=pste
options,'sta_ste_D0','labels',reform(string((*pste.v)[0,*],format='(f5.1)')+'keV')
;options,'stb_ste_D0','ztitle','e- Cnts'
;options,'stb_ste_D0','zlog',1
options,'sta_ste_D0','labflag',-1
options,'sta_ste_D0','labsize',1.
stebins = bytarr(32)
for i = 0,10 do stebins[3*i] = 1b
options,'sta_ste_D0','bins',stebins

options,'sta_B','ytitle','B (nT)'
options,'sta_B','labflag',-1

;get_data,'sta_swea_dist.DISTRIBUTION',ptr=pdist
;distsp = total(*pdist.y,3)

;get_data,'sta_swea_dist.ENERGY',ptr=penergy
;energy = reform((*penergy.y)[0,*])

;store_data,'sweaspec',data={x: (*pdist.x), y: distsp, z:energy}
get_data,'sweaspec',ptr=pdata
ylim,'sweaspec',1.,1e6,1
options,'sweaspec','labels',string((*pdata.v),format='(f6.1)')+'eV'
options,'sweaspec','ytitle','SWEA e- cnts'
options,'sweaspec','labflag',-1
options,'sweaspec','labsize',1.
sweabins = bytarr(16)
for i=0,7 do sweabins[i*2] = 1b
options,'sweaspec','bins',sweabins

tplot_options,'title','STEREO-A IMPACT Summary Plot'

set_plot,'z'
device,set_res=[780,780]
loadct2,34
!p.background = 255
!p.color = 0

tplot,['sta_let_H_UNSEC_FLUX','sta_ste_D0','sweaspec','sta_B','sta_B_mag']

;tevent1 = time_double('2006-12-05/10:18')
;tevent2 = time_double('2006-12-13/02:14')
;tevent3 = time_double('2006-12-06/18:29')

;timebar,tevent1,linestyle=2
;timebar,tevent2,linestyle=2
;timebar,tevent3,linestyle=2

;mevent1 = time_double('2006-12-12/01:48')
;mevent2 = time_double('2006-12-12/22:00')

;timebar,mevent1,linestyle=1
;timebar,mevent2,linestyle=1

makegif,filename
device,/close

return
end


